#version 330
uniform sampler2D texture0;
in vec4 ex_Color;
in vec2 ex_TexCoord;
out vec4 out_Color;

void main()
{
	vec4 color = texture(texture0, ex_TexCoord);

	float average = (color.r + color.g + color.b) / 3.0 + (color.a * 0.5);
	average = clamp(average, 0.0, 1.0);
	color.rgb = vec3(average, average, average);

	out_Color = color * ex_Color;
}
